<?xml version="1.0"?>
<shell>
    <shellIdentify>
        <Qihoo360v1>
            <File>libjiagu.so</File>
        </Qihoo360v1>
        <Qihoo360v2>
            <File>libjiagu_64.so</File>
        </Qihoo360v2>
        <BangbangFree>
            <File>libSecShell.so</File>
        </BangbangFree>
        <Bangbangv1>
            <File>libDexHelper.so</File>
        </Bangbangv1>
        <Bangbangv4>
            <File>libdexjni.so</File>
        </Bangbangv4>
        <Aijiami_1>
            <File>libexec.so</File>
        </Aijiami_1>
        <Aijiami_2>
            <File>libexecmain.so</File>
        </Aijiami_2>
        <Aijiami_3>
            <File>libsdkexec.so</File>
        </Aijiami_3>
        <Aijiami_4>
            <File>libexecdll.so</File>
        </Aijiami_4>
        <Aijiami_5>
            <File>libexecgame.so</File>
        </Aijiami_5>
        <Aijiami_6>
            <File>libexecdllgame</File>
        </Aijiami_6>
        <Baidu>
            <File>libbaiduprotect.so</File>
        </Baidu>
        <Nagav1>
            <File>libddog.so</File>
        </Nagav1>
        <Nagav2>
            <File>libfdog.so</File>
        </Nagav2>
        <Nagav3>
            <File>libedog.so</File>
        </Nagav3>
        <Nagav4>
            <File>libvdog.so</File>
        </Nagav4>
        <Nagav5>
            <File>libvenustech.so</File>
        </Nagav5>
        <Nagav6>
            <File>libchaosvmp.so</File>
        </Nagav6>
        <Tencent1>
            <File>libshellx-2.10.3.so</File>
        </Tencent1>
        <Tencent2>
            <File>libmain.so</File>
        </Tencent2>
        <Tencent3>
            <File>libshell.so</File>
        </Tencent3>
        <Tencent4>
            <File>libtersafe.so</File>
        </Tencent4>
        <Tencent5>
            <File>libtosprotection.so</File>
        </Tencent5>
        <Tencent6>
            <File>libshella-2.10.3.so</File>
        </Tencent6>
        <Ali1>
            <File>libmobisec.so</File>
        </Ali1>
        <Ali2>
            <File>libmobisecy.so</File>
        </Ali2>
        <Ali3>
            <File>libmobisecz.so</File>
        </Ali3>
        <Ali4>
            <File>libsecuritysdkx-3.1.27.so</File>
        </Ali4>
        <Ali5>
            <File>libdemolish.so</File>
        </Ali5>
        <Ali6>
            <File>libsgsecuritybody.so</File>
        </Ali6>
        <Ali7>
            <File>aliprotect.dat</File>
        </Ali7>
        <Tongfudun1>
            <File>libegis.so</File>
        </Tongfudun1>
        <Tongfudun2>
            <File>libegis_security.so</File>
        </Tongfudun2>
        <Wangqin>
            <File>libnqshield.so</File>
        </Wangqin>
        <CMCC1>
            <File>libmogosecurity.so</File>
        </CMCC1>
        <CMCC2>
            <File>libDexHelper_mmb.so</File>
        </CMCC2>
        <CMCC3>
            <File>libcmcc_rusteze.so</File>
        </CMCC3>
        <CMCC4>
            <File>libdexmmb.so</File>
        </CMCC4>
        <CUCC>
            <File>libme_unipay.so</File>
        </CUCC>
        <Migu1>
            <File>libmegjb.so</File>
        </Migu1>
        <Migu2>
            <File>libmegbpp.so</File>
        </Migu2>
        <Guoxin1>
            <File>libreincp.so</File>
        </Guoxin1>
        <Guoxin2>
            <File>libreinss.so</File>
        </Guoxin2>
        <Netease1>
            <File>libbugrpt.so</File>
        </Netease1>
        <Netease2>
            <File>libnesec.so</File>
        </Netease2>
        <Netease3>
            <File>libneutils.so</File>
        </Netease3>
        <Shumeng>
            <File>libdu.so</File>
        </Shumeng>
        <Netease4>
            <File>libcosine.so</File>
        </Netease4>
        <Netease5>
            <File>libNetHTProtect.so</File>
        </Netease5>
        <Juanquan>
            <File>libsgmain.so</File>
        </Juanquan>
        <Yysec>
            <File>libysl.so</File>
        </Yysec>
    </shellIdentify>
    <shellClearOat>
        <ClearFiles>
            <File>.jiagu/classes.dex</File>
            <File>.jiagu/classes.oat</File>
            <File>.qihoo/org.dex</File>
            <File>.qihoo/upload</File>
            <File>.cache/encode.dex</File>
            <File>.cache/encode.odex</File>
            <File>.cache/patch.odex</File>
            <File>files/tx_shell/shell2art_data</File>
        </ClearFiles>
    </shellClearOat>
    <shellByPackageName>
        <Alipay>
            <Packagename>com.eg.android.AlipayGphone</Packagename>
        </Alipay>
        <Netease>
            <Packagename>com.netease.newsreader.activity</Packagename>
        </Netease>
        <Raiden>
            <Packagename>com.sg.raiden</Packagename>
            <Packagename>com.sg.raiden.honor</Packagename>
        </Raiden>
        <Gameloft>
            <Packagename>com.gameloft.android.GloftSMIF</Packagename>
            <Packagename>com.gameloft.android.GloftBUB3</Packagename>
            <Packagename>com.gameloft.android.GloftCRSM</Packagename>
            <Packagename>com.gameloft.android.GloftDBMF</Packagename>
            <Packagename>com.gameloft.android.GloftRF15</Packagename>
        </Gameloft>
    </shellByPackageName>
</shell>
